package org.dromara.main.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.main.domain.bo.MainStudentCollectionBo;
import org.dromara.main.domain.vo.MainStudentCollectionVo;

/**
 * 学员收藏服务接口
 */
public interface IMainStudentCollectionService {

    /**
     * 查询学员收藏列表
     */
    TableDataInfo<MainStudentCollectionVo> queryPageList(MainStudentCollectionBo bo, PageQuery pageQuery);

    /**
     * 新增学员收藏
     */
    Boolean insertByBo(MainStudentCollectionBo bo);

    /**
     * 取消收藏
     */
    Boolean deleteById(Long id);

    /**
     * 检查是否已收藏
     */
    MainStudentCollectionVo checkCollection(Long studentId, Long targetId, String type);
}
